package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/10/9
 */
public class VipGroupStudentDto {

    @ApiModelProperty(value = "用户编号")
    private Long id;

    @ApiModelProperty(value = "用户名称")
    private String userName;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "课时总数")
    private Integer totalClassTimes;

    @ApiModelProperty(value = "当前课时")
    private Integer currentClassTimes;

    private BigDecimal courseSalary;

    private Date applyDate;

    private Date refundDate;

    private Integer studentStatus;

    public Date getApplyDate() {
        return applyDate;
    }

    public void setApplyDate(Date applyDate) {
        this.applyDate = applyDate;
    }

    public Date getRefundDate() {
        return refundDate;
    }

    public void setRefundDate(Date refundDate) {
        this.refundDate = refundDate;
    }

    public Integer getStudentStatus() {
        return studentStatus;
    }

    public void setStudentStatus(Integer studentStatus) {
        this.studentStatus = studentStatus;
    }

    public BigDecimal getCourseSalary() {
        return courseSalary;
    }

    public void setCourseSalary(BigDecimal courseSalary) {
        this.courseSalary = courseSalary;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }
}
